Index: uspace/srv/net/net/net.c
===================================================================
--- uspace/srv/net/net/net.c	(revision aaa3f33ad2cc7b8a1f42205ed0c585a630c45481)
+++ uspace/srv/net/net/net.c	(revision 1bfd3d3b2991b8f2df4cff87d9723059528b9bd1)
@@ -78,4 +78,6 @@
 DEVICE_MAP_IMPLEMENT(netifs, netif_t);
 
+static int startup(void);
+
 /** Add the configured setting to the configuration map.
  *
@@ -84,6 +86,6 @@
  * @param[in] value         The setting value.
  *
- * @returns EOK on success.
- * @returns ENOMEM if there is not enough memory left.
+ * @return EOK on success.
+ * @return ENOMEM if there is not enough memory left.
  *
  */
@@ -110,5 +112,5 @@
 /** Generate new system-unique device identifier.
  *
- * @returns		The system-unique devic identifier.
+ * @return		The system-unique devic identifier.
  */
 static device_id_t generate_new_device_id(void)
@@ -235,6 +237,6 @@
  * @param[in,out] netif The network interface structure.
  *
- * @returns EOK on success.
- * @returns Other error codes as defined for the add_configuration() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the add_configuration() function.
  *
  */
@@ -246,6 +248,6 @@
 /** Read the networking subsystem global configuration.
  *
- * @returns EOK on success.
- * @returns Other error codes as defined for the add_configuration() function.
+ * @return EOK on success.
+ * @return Other error codes as defined for the add_configuration() function.
  *
  */
@@ -262,6 +264,6 @@
  *                              its own one.
  *
- * @returns EOK on success.
- * @returns ENOMEM if there is not enough memory left.
+ * @return EOK on success.
+ * @return ENOMEM if there is not enough memory left.
  *
  */
@@ -313,7 +315,7 @@
  *                              its own one.
  *
- * @returns EOK on successful module termination.
- * @returns Other error codes as defined for the net_initialize() function.
- * @returns Other error codes as defined for the REGISTER_ME() macro function.
+ * @return EOK on successful module termination.
+ * @return Other error codes as defined for the net_initialize() function.
+ * @return Other error codes as defined for the REGISTER_ME() macro function.
  *
  */
@@ -337,4 +339,9 @@
 		goto out;
 	
+	rc = startup();
+	if (rc != EOK)
+		goto out;
+	
+	task_retval(0);
 	async_manager();
 
@@ -353,5 +360,5 @@
  * @param[out] data          The found configuration settings data.
  *
- * @returns EOK.
+ * @return EOK.
  *
  */
@@ -415,11 +422,11 @@
  * @param[in] netif The network interface specific data.
  *
- * @returns EOK on success.
- * @returns EINVAL if there are some settings missing.
- * @returns ENOENT if the internet protocol module is not known.
- * @returns Other error codes as defined for the netif_probe_req() function.
- * @returns Other error codes as defined for the nil_device_req() function.
- * @returns Other error codes as defined for the needed internet layer
- *          registering function.
+ * @return EOK on success.
+ * @return EINVAL if there are some settings missing.
+ * @return ENOENT if the internet protocol module is not known.
+ * @return Other error codes as defined for the netif_probe_req() function.
+ * @return Other error codes as defined for the nil_device_req() function.
+ * @return Other error codes as defined for the needed internet layer
+ *         registering function.
  *
  */
@@ -507,13 +514,13 @@
 /** Read the configuration and start all network interfaces.
  *
- * @returns EOK on success.
- * @returns EXDEV if there is no available system-unique device identifier.
- * @returns EINVAL if any of the network interface names are not configured.
- * @returns ENOMEM if there is not enough memory left.
- * @returns Other error codes as defined for the read_configuration()
- *          function.
- * @returns Other error codes as defined for the read_netif_configuration()
- *          function.
- * @returns Other error codes as defined for the start_device() function.
+ * @return EOK on success.
+ * @return EXDEV if there is no available system-unique device identifier.
+ * @return EINVAL if any of the network interface names are not configured.
+ * @return ENOMEM if there is not enough memory left.
+ * @return Other error codes as defined for the read_configuration()
+ *         function.
+ * @return Other error codes as defined for the read_netif_configuration()
+ *         function.
+ * @return Other error codes as defined for the start_device() function.
  *
  */
@@ -610,6 +617,6 @@
  *                          in the answer parameter.
  *
- * @returns EOK on success.
- * @returns ENOTSUP if the message is not known.
+ * @return EOK on success.
+ * @return ENOTSUP if the message is not known.
  *
  * @see net_interface.h
